.modal-sign {
  font-family: "lineseed", Arial, sans-serif;
}

.modal-sign .modal-title {
  display: flex;
  font-size: 20px;
  line-height: 32px;
  font-weight: 700;
}

.modal-sign .modal-header {
  padding-top: 2em;
  border: none;
}

.modal-sign .modal-content {
  border-radius: 20px;
  box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
}

.modal-sign .btn {
  border-radius: 10px;
  font-size: 1rem;
  font-weight: 700;
  padding: 0.6rem 1.5rem;
  border: none;
}

.modal-sign .btn.btn-secondary {
  background: #8b8c90;
}

.modal-sign .btn.btn-primary {
  background: #12aafb;
}

.modal-sign .btn.btn-danger {
  background: #cc0000;
}

.modal-sign .modal-footer {
  justify-content: center;
  border: none;
  padding-bottom: 2em;
}

.modal-title .tab-in:first-child {
  border-top-left-radius: 5px;
  border-bottom-left-radius: 5px;
}

.modal-title .tab-in:last-child {
  border-top-right-radius: 5px;
  border-bottom-right-radius: 5px;
}

.signature-tool {
  display: flex;
  flex-direction: column;
  width: 100px;
  padding: 0.2em;
  gap: 4px;
  box-sizing: border-box;
}

.signature-tool a:hover {
  text-decoration: none;
}

.signature-tool .signature-action {
  display: flex;
  gap: 4px;
}

.signature-tool .canvas {
  display: flex;
  gap: 4px;
}

.signature-tool .canvas .action {
  display: flex;
  justify-content: center;
  width: 100%;
  height: 100%;
}

.signature-tool .canvas .action .edit {
  width: 28px;
  height: 28px;
  padding: 4px;
  background: #e9eef6;
  border-radius: 100px;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  border: 1px solid rgba(0, 0, 0, 0);
  box-shadow: rgba(0, 0, 0, 0.2) 0px 3px 5px -1px, rgba(0, 0, 0, 0.14) 0px 6px 10px 0px, rgba(0, 0, 0, 0.12) 0px 1px 18px 0px;
  transition-property: all;
  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
  transition-duration: 150ms;
}

.signature-tool .canvas .action .edit:hover {
  background: #d3e3fd;
}

.fixed-toolbox {
  position: fixed;
  display: block;
  width: 21cm;
  top: 0;
  z-index: 9;
}

.toolbox-sign {
  width: 320px;
  height: 40px;
  position: absolute;
  right: 0;
  top: 0;
  background: #aaa;
  display: table;
}

.toolbox-sign .box-in {
  width: 80px;
  display: table-cell;
  vertical-align: middle;
  text-align: center;
  cursor: pointer;
  border: 1px solid #000;
  color: #fff;
}

.block-text-drag {
  padding: 8px;
  display: inline-block;
  position: absolute;
  background: #ddd;
  display: none;
  z-index: 9;
}

.toolbox-cc {
  width: 280px;
  height: 40px;
  position: absolute;
  left: 0;
  top: 0;
  background: #afafaf;
  display: table;
}

.toolbox-cc .select {
  background: #0095ff;
}

.toolbox-cc .box-in {
  width: 120px;
  display: table-cell;
  vertical-align: middle;
  text-align: center;
  cursor: pointer;
  border: 1px solid #000;
  color: #fff;
}

.toolbox-cc .box-in a {
  color: #fff;
}

.modal-backdrop {
  background-color: #dddd !important;
}

button {
  cursor: pointer;
}

.tab-in {
  padding: 6px 10px;
  cursor: pointer;
  display: inline-block;
  border: 1px solid #0caeff;
  color: #0caeff;
}

.tab-in.select {
  background: #0caeff;
  border: none;
  color: white;
}

.s-textarea {
  margin-bottom: 16px;
}

#signCanvas {
  transform: translate3d(0, 0, 0);
  -webkit-transform: translate3d(0, 0, 0);
}

.m-signature-pad {
  position: relative;
  font-size: 10px;
  height: 200px;
  border: 1px solid #0185ca;
  background-color: #fff;
  border-radius: 10px;
}

.m-signature-pad:before,
.m-signature-pad:after {
  position: absolute;
  z-index: -1;
  content: "";
  width: 40%;
  height: 10px;
  left: 20px;
  bottom: 10px;
  background: transparent;
  -webkit-transform: skew(-3deg) rotate(-3deg);
  -moz-transform: skew(-3deg) rotate(-3deg);
  -ms-transform: skew(-3deg) rotate(-3deg);
  -o-transform: skew(-3deg) rotate(-3deg);
  transform: skew(-3deg) rotate(-3deg);
  box-shadow: 0 8px 12px rgba(0, 0, 0, 0.4);
}

.m-signature-pad:after {
  left: auto;
  right: 20px;
  -webkit-transform: skew(3deg) rotate(3deg);
  -moz-transform: skew(3deg) rotate(3deg);
  -ms-transform: skew(3deg) rotate(3deg);
  -o-transform: skew(3deg) rotate(3deg);
  transform: skew(3deg) rotate(3deg);
}

.m-signature-pad--body {
  position: absolute;
  left: 20px;
  right: 20px;
  top: 20px;
  bottom: 20px;
  border: 1px solid #f4f4f4;
}

.m-signature-pad--body canvas {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  border-radius: 4px;
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.02) inset;
}

.resize-drag {
  text-align: center;
  position: absolute;
  /*width: 240px;
    background-color: #fff;*/
  color: black;
  font-family: sans-serif;
  touch-action: none;
  /* This makes things *much* easier */
  box-sizing: border-box;
  display: none;
  font: 20px / 20px "lineseed", Arial, sans-serif;
}

.resize-drag #textSignDrag {
  text-align: center;
  max-width: 10cm;
}

.resize-drag img {
  height: 60px;
  max-width: 100%;
  text-align: center;
}

.resize-drag .tools {
}

.resize-drag .tools .btn {
  padding: 0 8px;
}

.block-copy {
  text-align: left;
  position: absolute;
  /*background-color: #fff;*/
  color: black;
  font-family: sans-serif;
  touch-action: none;
  box-sizing: border-box;
  font: 20px / 20px "lineseed", Arial, sans-serif;
  bottom: 40px;
  right: 24px;
  /* width: 340px; */
}

.block-copy .person {
  height: 30px;
  /* float: left; */
  /* width: 100%; */
}

.block-copy .person .text-head {
  display: inline-block;
  width: 400px;
  float: left;
  line-height: 30px;
  text-align: right;
  padding-top: 0px;
}

.block-copy .person .text-body {
  display: inline-block;
  border-bottom: 1px dotted #000;
  width: 250px;
  text-align: center;
  height: 30px;
  line-height: 30px;
}

.block-copy .person .text-body img {
  height: 30px;
}

.block-copy .tools {
  text-align: center;
  padding-top: 8px;
  display: none;
}

.block-copy .tools .btn {
  padding: 0 8px;
}

.hide-reject {
  display: none;
}

.reject_color {
  color: red;
}

.m-signature-input {
  border: 0;
  outline: none;
  border: 1px solid #0185ca;
  background-color: #fff;
  border-radius: 10px;
  width: 100%;
  margin: 14px 0;
  padding: 2px 0;
  font-family: "lineseed", Arial, sans-serif;
  font-size: 15px;
  text-indent: 8px;
  padding: 4px 0;
}

.modal-sign {
  max-width: 600px !important;
}

@media screen and (max-width: 1024px) {
  .m-signature-pad {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    width: auto;
    height: auto;
    min-width: 250px;
    min-height: 250px;
    margin-bottom: 5%;
  }
  #github {
    display: none;
  }
}

@media screen and (min-device-width: 768px) and (max-device-width: 1024px) {
  .m-signature-pad {
    margin: 10%;
  }
}

@media screen and (max-height: 320px) {
  .m-signature-pad--body {
    left: 0;
    right: 0;
    top: 0;
    bottom: 32px;
  }
  .m-signature-pad--footer {
    left: 20px;
    right: 20px;
    bottom: 4px;
    height: 28px;
  }
  .m-signature-pad--footer .description {
    font-size: 1em;
    margin-top: 1em;
  }
}
